

#    MIDAS Access Client  for the  SigTask service


package require MIDASAccessClient   ;#   load default support procedures

global SigTaskServerHost SigTaskServerPort

if {[info exists SigTaskServerHost] == 0} then {set SigTaskServerHost localhost}
if {[info exists SigTaskServerPort] == 0} then {set SigTaskServerPort 8015}

variable uri "urn:SigTaskServer"
variable proxy "http://$SigTaskServerHost:$SigTaskServerPort/SigTaskServer"

proc SigTaskClient_Configure {} {
   global  SigTaskServerHost SigTaskServerPort
   variable proxy

   set proxy "http://$SigTaskServerHost:$SigTaskServerPort/SigTaskServer"

   foreach method [info procs SigTaskClient__*] {catch {SOAP::configure $method -proxy $proxy}}
}

SOAP::create SigTaskClient__DefineRegister -proxy $proxy -uri $uri -timeout 10000 \
     -name DefineRegister \
     -params {Register string Class string Attributes string} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply 

SOAP::create SigTaskClient__InquireRegisters -proxy $proxy -uri $uri -timeout 10000 \
     -name InquireRegisters \
     -params {Pattern string} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply

SOAP::create SigTaskClient__ReadRegisterAttributes -proxy $proxy -uri $uri -timeout 10000 \
     -name ReadRegisterAttributes \
     -params {Register string} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply 

SOAP::create SigTaskClient__ReadRegistersAttributes -proxy $proxy -uri $uri -timeout 10000 \
     -name ReadRegistersAttributes \
     -params {Pattern string} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply 

SOAP::create SigTaskClient__DeleteRegister -proxy $proxy -uri $uri -timeout 10000 \
     -name DeleteRegister \
     -params {Register string} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply 

SOAP::create SigTaskClient__DeleteRegisters -proxy $proxy -uri $uri -timeout 10000 \
     -name DeleteRegisters \
     -params {Pattern string} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply 

SOAP::create SigTaskClient__WriteRegisterAttributes -proxy $proxy -uri $uri -timeout 10000 \
     -name WriteRegisterAttributes \
     -params {Register string Attributes string} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply 

SOAP::create SigTaskClient__WriteRegistersAttributes -proxy $proxy -uri $uri -timeout 10000 \
     -name WriteRegistersAttributes \
     -params {Pattern string Attributes string} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply 

SOAP::create SigTaskClient__WriteRegister -proxy $proxy -uri $uri -timeout 10000 \
     -name WriteRegister \
     -params {Register string Value string} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply 

SOAP::create SigTaskClient__WriteRegisters -proxy $proxy -uri $uri -timeout 10000 \
     -name WriteRegisters \
     -params {Pattern string Value string} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply 

SOAP::create SigTaskClient__InitialiseRegister -proxy $proxy -uri $uri -timeout 10000 \
     -name InitialiseRegister \
     -params {Register string} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply 

SOAP::create SigTaskClient__InitialiseRegisters -proxy $proxy -uri $uri -timeout 10000 \
     -name InitialiseRegisters \
     -params {Pattern string} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply 

SOAP::create SigTaskClient__ReadRegister -proxy $proxy -uri $uri -timeout 10000 \
     -name ReadRegister \
     -params {Register string} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply 

SOAP::create SigTaskClient__ReadRegisters -proxy $proxy -uri $uri -timeout 10000 \
     -name ReadRegisters \
     -params {Pattern string} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply 

SOAP::create SigTaskClient__InterfaceStatus -proxy $proxy -uri $uri -timeout 10000 \
     -name InterfaceStatus \
     -params {} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply 

SOAP::create SigTaskClient__ServerVerbose -proxy $proxy -uri $uri -timeout 10000 \
     -name ServerVerbose \
     -params {opt string} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply 



package provide SigTaskClient 1.0
